Redis
Skitflow API reference for Redis endpoints.
Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/redis.create" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "appName": "string", "databasePassword": "string", "projectId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Query Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/redis.one?redisId=string"{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/redis.start" \ -H "Content-Type: application/json" \ -d '{ "redisId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/redis.reload" \ -H "Content-Type: application/json" \ -d '{ "redisId": "string", "appName": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/redis.stop" \ -H "Content-Type: application/json" \ -d '{ "redisId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/redis.saveExternalPort" \ -H "Content-Type: application/json" \ -d '{ "redisId": "string", "externalPort": 0 }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/redis.deploy" \ -H "Content-Type: application/json" \ -d '{ "redisId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/redis.changeStatus" \ -H "Content-Type: application/json" \ -d '{ "redisId": "string", "applicationStatus": "idle" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/redis.remove" \ -H "Content-Type: application/json" \ -d '{ "redisId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/redis.saveEnvironment" \ -H "Content-Type: application/json" \ -d '{ "redisId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/redis.update" \ -H "Content-Type: application/json" \ -d '{ "redisId": "string" }'{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}